petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIIGetStdout

Creates a ASCII PetscViewer shared by all processors in a communicator. Error returning version of PETSC_VIEWER_STDOUT_()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerASCIIGetStdout(MPI_Comm comm,PetscViewer *viewer)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the PetscViewer

### Notes

This should be used in all PETSc source code instead of PETSC_VIEWER_STDOUT_()

### See Also

PETSC_VIEWER_DRAW_(), PetscViewerASCIIOpen(), PETSC_VIEWER_STDERR_, PETSC_VIEWER_STDOUT_WORLD,
PETSC_VIEWER_STDOUT_SELF

### Level

beginner

### Location

src/sys/classes/viewer/impls/ascii/vcreatea.c

### Examples

src/ts/examples/tutorials/ex14.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages